Bug 124368 - Need kickstart scriptlet failure to halt anaconda
Summary: Need kickstart scriptlet failure to halt anaconda
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard: FC4
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 00:41 UTC by James Olin Oden
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 20:49:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to support --erroronfail (7.05 KB, patch)
2005-02-08 21:31 UTC, Chris Lumens
no flags Details | Diff

Description James Olin Oden 2004-05-26 00:41:59 UTC
Description of problem:
Presently, unless this has been fixed and I did not notice it, 
kickstart scriptlets return codes are ignored.  I would like to see 
at least the ability to request (via the kickstart file?) that 
anaconda halt when a scriptlet returns a positive return code.
This is most usefull in manufacturing environements where you 
absolutely don't want something to appear like it was setup properly 
when indeed it was not.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create kickstart with a couple %post scriplets and have the first
exit with 1.
2. Run anaconda with the kickstart file.
  
Actual results:
It gets all the way to the "press OK" to eject the CDROM and reboot
message.

Expected results:
Would like it to simply halt (an ugly trace back is acceptable, but 
a more meaningful error would be nice (-:).

Comment 1 Jeremy Katz 2004-05-26 14:46:06 UTC
Thought on implementation is to have, eg, %post --erroronfail

Comment 2 Chris Lumens 2005-02-08 20:49:45 UTC
Okay, %pre and %post now supports the --erroronfail option.  This will display
an error message and terminate installation.  The error message will tell you
where to get the output from the failure.

Comment 3 James Olin Oden 2005-02-08 21:10:55 UTC
Hi Chris,

Would it be possible to attach a patch back to this bugzilla.  I can figure it 
out one way or another, but I am back in RHEL 3, so I have patch anaconda there.

Cheers and Thanks...james

Comment 4 Chris Lumens 2005-02-08 21:31:14 UTC
Created attachment 110825 [details]
patch to support --erroronfail

Enjoy.

Comment 5 James Olin Oden 2005-02-08 21:32:42 UTC
You've made my day.  Thanks...james


Note You need to log in before you can comment on or make changes to this bug.